<?php
session_start();
if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	
	if (isset($_GET['nu'])) {
		$nazwa = $_SESSION['usersn'][$_GET['nu']];
	}
		//-----------------------------------
?>	
<!DOCTYPE html 
	PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Platforma Wirtualny asystent</title>
	<meta name="description" content="Wirtualny asystent" />
    <meta name="keywords" content="asystent, niepełnosprawny intelektualnie, pomoc" />
	<script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/jgallery.js"></script>
	<script type="text/javascript" src="js/tinycolor-0.9.16.min.js"></script>
	<link rel="stylesheet" type="text/css" media="all" href="css/font-awesome.min.css" />	
	<link rel="stylesheet" type="text/css" media="all" href="css/jgallery.min.css" />
	<link rel="stylesheet" href="css/style.css" />
</head>
<body>
	
<?php	
	//Numer fotogalerii
	$nr_galerii=0;
	
	$dird1 = 'upload/'.$nazwa.'/galeria-1/duze/';
	$dirm1 = 'upload/'.$nazwa.'/galeria-1/male/';
	$lpd1 = scandir($dird1);
	$lpm1 = scandir($dirm1);
	$lipd1 = (count($lpd1)-2);
	
	$dird2 = 'upload/'.$nazwa.'/galeria-2/duze/';
	$dirm2 = 'upload/'.$nazwa.'/galeria-2/male/';
	$lpd2 = scandir($dird2);
	$lpm2 = scandir($dirm2);
	$lipd2 = (count($lpd2)-2);
	
	$dird3 = 'upload/'.$nazwa.'/galeria-3/duze/';
	$dirm3 = 'upload/'.$nazwa.'/galeria-3/male/';
	$lpd3 = scandir($dird3);
	$lpm3 = scandir($dirm3);
	$lipd3 = (count($lpd3)-2);
	
	$suma_fot = $lipd1+$lipd2+$lipd3;
	
	$lus = count($_SESSION['usersn']);
	for ($i=0; $i<$lus; $i++) {
		if ($nazwa==$_SESSION['usersn'][$i]) {
			$idu = $_SESSION['usersid'][$i];
		}
	}
	require_once('../wiras_php/wa_baza/wa_polacz.php');
		$zap = 'SELECT * FROM galeria WHERE id_user='.$idu;
		$pobierz = mysqli_query($db, $zap);
			$dane = array();
			while ($wiersz = mysqli_fetch_row($pobierz)) 
			{
				$dane[] = $wiersz;
			}	
	
	$nazwa1 = $dane[0][2];
	$nazwa2 = $dane[0][3];
	$nazwa3 = $dane[0][4];

	if ($suma_fot==0) {
		echo "<p style=\"font-size: 1.7em; text-align: center; color: #F44; margin: 50px 0\">
			Brak fotografii
		</p>";
	} else {
		echo '<div id="album">';
		
			//----------1 fot---
			if ($lipd1>0) {
				$nr_galerii++;
				echo '<div class="album" data-jgallery-album-title="'.$nazwa1.'">';			
				echo '<h1>Album '.$nr_galerii.'</h1>';
				for ($i=2; $i<($lipd1+2); $i++) {
					echo '<a href="'.$dird1.$lpd1[$i].'"><img src="'.$dirm1.$lpm1[$i].'" alt="'.$nazwa1.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" /></a>';
				}
echo '<h1>Album '.$nr_galerii.'</h1>';
				echo '</div>';			
			}
			//--------------------
			
			//----------2 fot---
			if ($lipd2>0) {
				$nr_galerii++;
				echo '<div class="album" data-jgallery-album-title="'.$nazwa2.'">';			
				echo '<h1>Album '.$nr_galerii.'</h1>';
				for ($i=2; $i<($lipd2+2); $i++) {
					echo '<a href="'.$dird2.$lpd2[$i].'"><img src="'.$dirm2.$lpm2[$i].'" alt="'.$nazwa2.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" /></a>';
				}

				echo '</div>';			
			}
			//--------------------
			
			//----------3 fot---
			if ($lipd3>0) {
				//$nr_galerii++;
				echo '<div class="album" data-jgallery-album-title="'.$nazwa3.'">';			
				echo '<h1>Album '.$nr_galerii.'</h1>';
				for ($i=2; $i<($lipd3+2); $i++) {
					echo '<a href="'.$dird3.$lpd3[$i].'"><img src="'.$dirm3.$lpm3[$i].'" alt="'.$nazwa3.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" /></a>';
				}

				echo '</div>';			
			}
			//--------------------
		
		echo '</div>';
	}

?>


</body>
<script type="text/javascript">
	$(document).ready(function(){
		
		$( function() {
			$( '#album' ).jGallery( {
				autostart: true,
				'canClose': false,
				slideshowInterval: '6s',
				thumbnailsPosition: 'bottom',
				backgroundColor: 'black', 
				textColor: '#FED',
				tooltipClose: 'Zamknij',
				tooltipFullScreen: 'Tryb pełnoekranowy',
				tooltipRandom: 'Kolejność losowa',
				tooltipSeeOtherAlbums: 'Zobacz pozostałe albumy',
				tooltipSlideshow: 'Pokaz slajdów',
				tooltipToggleThumbnails: 'Pokaż/ukryj miniatury',
				tooltipZoom: 'Powiększenie',
				tooltips: true,
				transitionCols: 4,
				transitionRows: 4,
				transitionDuration: '1s',
				transition: 'scaleDown_moveFromTop'
			});

		});
     

	})
</script>
</html>

